> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/wmt/reference/uses.md).

# Uses

{% hint style="info" %}
The **`Uses`** statement informs the WEM runtime which library and corresponding version to load in the design template.
{% endhint %}

{% hint style="success" %}
By default, the latest major versions are used. This includes the latest version of Bootstrap v3 and jQuery v3.
{% endhint %}

### Syntax

`<% Uses`` `<mark style="color:blue;">`library`</mark> <mark style="color:blue;">`version`</mark>` ``%>`

#### Libraries and Versions

<table data-header-hidden data-full-width="false"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>library</code></mark></td><td><mark style="color:blue;"><code>version</code></mark></td></tr><tr><td>Bootstrap</td><td>v3.2.0</td></tr><tr><td>Bootstrap</td><td>v3.4.1</td></tr><tr><td>Bootstrap</td><td>latest</td></tr><tr><td>jQuery</td><td>v1.12.4</td></tr><tr><td>jQuery</td><td>v3.4.1</td></tr><tr><td>jQuery</td><td>v3.5.0</td></tr><tr><td>jQuery</td><td>v3.6.3</td></tr><tr><td>jQuery</td><td>latest</td></tr></tbody></table>

### Example

```html
<% Uses Bootstrap v3.4.1 %>
<% Uses jQuery v3.5.0 %>
<!doctype html>
<html>
    <!-- HTML content -->
</html>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wem.io/platform/wemreference/wmt/reference/uses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
